### Method

# Gtk FileFilter add_pattern

#### Declaration [src]

    void
    gtk_file_filter_add_pattern (
      GtkFileFilter* filter,
      const char* pattern
    )

#### Description [src]

Adds a rule allowing a shell style glob pattern.

Note that it depends on the platform whether pattern matching ignores case or not. On Windows, it does, on other platforms, it doesn’t.

#### Parameters

`pattern`

  Type: `const char*`

  A shell style glob pattern.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.